function [mu_0,mu_1,sigsq] = HO_THETA_CV(priors,draw)
mu_0 = zeros(priors.N,1);
mu_1 = zeros(priors.N,1);
sigsq = zeros(priors.N,1);
%   iterate this for each n
for n = 1:priors.N
    %   extract the data and the proper state
    Y = priors.YY(:,n);
    S = draw.Sk(:,2);
    for k = 3:priors.K
        S = S + draw.Sk(:,k) * draw.KAY(n,k-2);
    end
    %   compute the square root of the inverse of the state's variance
    isig = inv(chol(draw.sigsq(n,:))) .* ones(priors.T,1);
    %   premultiply the Y and the X
    Yst = isig .* Y;
    Xst = [isig .* ones(priors.T,1) , isig .* S];
    %   compute the hyperparameters of the normal distribution
    V = inv(priors.R0_mu + Xst' * Xst);
    MU = V * (priors.R0_mu * priors.t0_mu + Xst' * Yst);
    %   draw the mu0 and mu1
        accept = 0;wait = 1;
    while accept == 0,
        MUt = MU + chol(V)' * normrnd(0,1,2,1);
        if all([MUt(1,1) > 0, MUt(2,1) < 0]) == 1;
            accept = 1;
        else,
            wait = wait + 1;
        end,
        if wait > 100;
            accept = 1;
            MUt = [draw.mu_0(n,:);draw.mu_1(n,:)];
        end,
    end,
    %   translate into draw structure
    mu_0(n,:) = MUt(1,1);
    mu_1(n,:) = MUt(2,1);
    
    %   now draw the variance
    %   compute the each-period forecast error
    gap = Y - draw.mu_1(n,:) * S - draw.mu_0(n,:) * ones(priors.T,1);
    %   compute d and nu, the hyperparameters of the gamma distribution
    d = priors.d + gap' * gap;
    nu = priors.nu + priors.T;
    %   draw the variance of the state
    sigsq(n,:) = inv(gamrnd(nu/2,2/d));
end,

